.style-switcher {

  position: fixed;
  top: 20px;
  right: 0;
  z-index: 10;
  background-color: white;
  padding: 15px;
  border: 1px solid #d4d4e3;
  border-right: none;
  border-radius: 0 0 0 5px;
  transform: translateX(100%);
  -webkit-transform: translateX(100%);
  transition: all 0.3s ease;
  -webkit-transition: all 0.3s ease;

}


.style-switcher .toggle-style-switcher {

  position: absolute;
  height: 45px;
  width: 45px;
  background-color: #ffffff;
  left: -70px;
  top: -1px;
  border: 1px solid #d4d4e3;
  text-align: center;
  cursor: pointer;
  border-radius: 50px;

}



.style-switcher .toggle-style-switcher .fa {

  font-size: 20px;
  line-height: 43px;
  color: #ec1839;

}


/* Dark Body */

body.dark .section {

  background-color: #151515;

}


body.dark .aside,
body.dark .contact .contact-form .form-item .form-control,
body.dark .blog .blog-item-inner .blog-info,
body.dark .service .service-item .service-item-inner,
body.dark .about .about-content .timeline {

  background-color: #222222;

}


body.dark .aside .nav li a,
body.dark .blog .blog-item-inner .blog-info .blog-title,
body.dark .contact .contact-info-item h4,
body.dark .portfolio .portfolio-filter button,
body.dark .service .service-item .service-item-inner h4,
body.dark .about .about-content .timeline .timeline-title,
body.dark .about .about-content .skills .skill-item h5,
body.dark .about .about-content .personal-info .info-item p,
body.dark .about .about-content .about-text h3,
body.dark .home .intro h1,
body.dark .about .about-content h3.title,
body.dark .section-title h2,
body.dark .aside .logo a {

  color: #ffffff;

}




body.dark .contact .contact-form .form-item .form-control,
body.dark .blog .blog-item-inner .blog-info .blog-description,
body.dark .contact .contact-info-item p,
body.dark .blog .blog-item-inner .blog-info .blog-tags,
body.dark .service .service-item .service-item-inner p,
body.dark .about .about-content .timeline .timeline-text,
body.dark .about .about-content .timeline .timeline-date,
body.dark .about .about-content .skills .skill-item .skill-porcent,
body.dark .about .about-content .personal-info .info-item p span,
body.dark .about .about-content .about-text p {

  color: #e9e9e9;

}
body.dark .home .intro span{
  color: white;
}



body.dark .about .about-content .personal-info .info-item p,
body.dark .aside,
body.dark .contact .contact-form .form-item .form-control,
body.dark .blog .blog-item-inner,
body.dark .portfolio .portfolio-item-innner,
body.dark .service .service-item .service-item-inner,
body.dark .about .about-content .timeline,
body.dark .aside .nav li a {

  border-color: #393939;

}



body.dark .shadow-dark {

 -webkit-box-shadow: none;
 box-shadow: none;

}

body.dark .home .intro h3 {

  color: #ffffff;

}


body.dark .service .service-item .service-item-inner:hover {

  -webkit-box-shadow: 0 0 20px rgba(48, 46, 77, 0.15);
  box-shadow: 0 0 20px rgba(48, 46, 77, 0.15);
  border: 1px solid #ec1839;
  cursor: pointer;

}

body.dark .contact .contact-form .form-item .form-control:focus {
  
  -webkit-box-shadow: 0 0 20px rgba(48, 46, 77, 0.15);
  box-shadow: 0 0 20px rgba(48, 46, 77, 0.15);
  transition: all 0.3s ease;
  -webkit-transition: all 0.3s ease;
  border-color: #ec1839;

}